Willkommen Gast. Bitte einloggen oder registrieren. Haben Sie Ihre Aktivierungs E-Mail übersehen?
19.11.2019, 05:51:40

.
Einloggen mit Benutzername, Passwort und Sitzungslänge

Mitglieder
  • Mitglieder insgesamt: 22829
  • Letzte: nekt
Statistiken
  • Beiträge insgesamt: 620031
  • Themen insgesamt: 50052
  • Heute online: 375
  • Am meisten online: 992
  • (17.11.2018, 20:17:55)
Benutzer Online
Mitglieder: 3
Gäste: 329
Gesamt: 332

Autor Thema: [gelöst]  Kann VirtualBox-Update nicht installieren  (Gelesen 437 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

[gelöst] Kann VirtualBox-Update nicht installieren
« am: 14.06.2019, 03:21:20 »
Liebe Fachleute,

Oracle VirtualBox treibt mich gerade in den Wah.....
oh sorry, also:
nach dem Download von VirtualBox-6.0.8-130520-Linux_amd64.run folgte ich den Anweisungen im Handbuch:


 2.3.3.2 Using the Alternative Generic Installer (VirtualBox.run)
.....
The installer must be executed as root with either install or uninstall as the first parame-
ter. For example:

sudo ./VirtualBox.run install

Or if you do not have the sudo command available, run the following as root instead:
./VirtualBox.run install



vergebens:

$ sudo VirtualBox-6.0.8-130520-Linux_amd64.run install
   sudo: VirtualBox-6.0.8-130520-Linux_amd64.run: Befehl nicht gefunden

$ sudo ./VirtualBox-6.0.8-130520-Linux_amd64.run install
              sudo: ./VirtualBox-6.0.8-130520-Linux_amd64.run: Befehl nicht gefunden

$ sudo ./VirtualBox.run install
     sudo: ./VirtualBox.run: Befehl nicht gefunden




dann habe ich in meiner verzweiflung noch das ausprobiert:

$ sudo apt install VirtualBox-6.0.8-130520-Linux_amd64.run
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
E: Paket VirtualBox-6.0.8-130520-Linux_amd64.run kann nicht gefunden werden.
E: Mittels des Musters »VirtualBox-6.0.8-130520-Linux_amd64.run« konnte kein Paket gefunden werden.
E: Mittels regulärem Ausdruck »VirtualBox-6.0.8-130520-Linux_amd64.run« konnte kein Paket gefunden werden.

$ sudo apt install ./VirtualBox-6.0.8-130520-Linux_amd64.run
Paketlisten werden gelesen... Fertig
E: Nicht unterstützte Datei ./VirtualBox-6.0.8-130520-Linux_amd64.run auf Befehlszeile angegeben


kann mir jemand bitte helfen?
« Letzte Änderung: 23.06.2019, 13:09:15 von Mäuseleiter »

Re: Kann VirtualBox-Update nicht installieren
« Antwort #1 am: 14.06.2019, 04:02:06 »
1.. Ich vermisse ein inxi -Fz

2. Du kannst es entweder aus dem Repo installieren

sudo apt-get install virtualbox
Dazu wahrscheinlich noch virtualbox-qt und virtualbox-dkms.

3. Oder wenn du deine heruntergeladene Version installieren möchtest, dann bitte auch zu dem Download-Ordner navigieren oder den kompletten Pfad angeben. Und dann sollte Variante zwei richtig sein, aber ohne das install hinten.
« Letzte Änderung: 14.06.2019, 04:09:56 von douggy »

Re: Kann VirtualBox-Update nicht installieren
« Antwort #2 am: 14.06.2019, 07:29:46 »

Warum lädst Du nicht die Datei für Ubuntu 18.04 = LM19.1 (Du hast Deine Version nicht angegeben) herunter.
Dies wäre die virtualbox-6.0_6.0.8-130520~Ubuntu~bionic_amd64.deb, die brauchst Du nur Doppelklicken und alles läuft von alleine ab.

Re: Kann VirtualBox-Update nicht installieren
« Antwort #3 am: 14.06.2019, 08:05:26 »
.... folgte ich den Anweisungen im Handbuch:

Welches ominöse 'Handbuch' denn?

Mach es wie Bernibär schreibt oder binde vbox ins System ein wie hier beschrieben.

https://www.virtualbox.org/wiki/Linux_Downloads

Null problemo  ;D

Re: Kann VirtualBox-Update nicht installieren
« Antwort #4 am: 14.06.2019, 09:40:39 »
Ich habe erst vor vier Wochen mit Mint 19.1 vbox mit der Anwendungsverwaltung installiert und läuft einwandfrei.

Re: Kann VirtualBox-Update nicht installieren
« Antwort #5 am: 14.06.2019, 11:18:09 »
nach dem Download von VirtualBox-6.0.8-130520-Linux_amd64.run folgte ich den Anweisungen im Handbuch:
...so wird das auch nichts!
Wenn Du nicht aus den Quellen installieren willst, dann geht es wie folgt am besten:
1. Die alte Virtualbox-Installation vollständig löschen.
2. die entsprechenden richtigen Pakete hier herunterladen und Installieren.
https://download.virtualbox.org/virtualbox/

Edit: Läuft bei Dir eigentlich eine Mint-Version?
        Poste mal bitte:
      inxi -Fz
« Letzte Änderung: 14.06.2019, 11:22:06 von Hollex »

Re: Kann VirtualBox-Update nicht installieren
« Antwort #6 am: 14.06.2019, 11:38:31 »
Es hat geklappt - Danke an alle!
habe Bernibärs Vorschlag umgesetzt.

Welches ominöse 'Handbuch' denn?
hier zum Dowload: https://www.virtualbox.org/wiki/Documentation

sorry - hatte ich vergessen:
~$ inxi -Fz
System:    Host: axxxxxxxxx  Kernel: 4.15.0-51-generic x86_64 bits: 64
           Desktop: Cinnamon 3.8.9  Distro: Linux Mint 19 Tara
Machine:   Device: laptop System: FUJITSU product: LIFEBOOK S751 v: 10601583152 serial: N/A
         
...


Warum lädst Du nicht die Datei für Ubuntu 18.04 = LM19.1 (...) herunter.

Was müsste ich für LMDE3 (Mint Debian auf meinem Desktop-Rechner) runterladen?

Schöne Grüße!


Re: Kann VirtualBox-Update nicht installieren
« Antwort #8 am: 14.06.2019, 12:13:40 »
Merci!